org.apache.cassandra.metrics

## Class DefaultNameFactory

- java.lang.Object
- - org.apache.cassandra.metrics.DefaultNameFactory

All Implemented Interfaces:
  MetricNameFactory

    public class DefaultNameFactory
    extends java.lang.Object
    implements MetricNameFactory

MetricNameFactory that generates default MetricName of metrics.

### Field Summary

Fields
`static java.lang.String` `GROUP_NAME`

### Constructor Summary

Constructors
Constructor and Description
`DefaultNameFactory(java.lang.String type)`
`DefaultNameFactory(java.lang.String type, java.lang.String scope)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static java.lang.String` `createDefaultMBeanName(java.lang.String type, java.lang.String name, java.lang.String scope)`
`CassandraMetricsRegistry.MetricName` `createMetricName(java.lang.String metricName)` Create a qualified name from given metric name.
`static CassandraMetricsRegistry.MetricName` `createMetricName(java.lang.String type, java.lang.String metricName, java.lang.String scope)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GROUP_NAME

    public static final java.lang.String GROUP_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultNameFactory

    public DefaultNameFactory(java.lang.String type)

#### DefaultNameFactory

    public DefaultNameFactory(java.lang.String type,
                              java.lang.String scope)

### Method Detail

#### createMetricName

    public CassandraMetricsRegistry.MetricName createMetricName(java.lang.String metricName)

Description copied from interface: `MetricNameFactory`
Create a qualified name from given metric name.

Specified by:
  `createMetricName` in interface `MetricNameFactory`
Parameters:
  `metricName` - part of qualified name.
Returns:
  new String with given metric name.

#### createMetricName

    public static CassandraMetricsRegistry.MetricName createMetricName(java.lang.String type,
                                                                       java.lang.String metricName,
                                                                       java.lang.String scope)

#### createDefaultMBeanName

    protected static java.lang.String createDefaultMBeanName(java.lang.String type,
                                                             java.lang.String name,
                                                             java.lang.String scope)